FIX::CheckSumConvertor Struct Reference

Converts checksum to/from a string. More...

`#include <FieldConvertors.h>`

## Static Public Member Functions

static std::string | convert (int value) throw ( FieldConvertError )
static bool | convert (const std::string &value, int &result)
static int | convert (const std::string &value) throw ( FieldConvertError )

## Detailed Description

Converts checksum to/from a string.

Definition at line 229 of file FieldConvertors.h.

## Member Function Documentation

## convert() [1/3]

static int FIX::CheckSumConvertor::convert | ( | const std::string & | value | ) |
throw | ( | FieldConvertError
| ) |  |

inline static

Definition at line 248 of file FieldConvertors.h.

:
static const int SIGNIFICANT_DIGITS = 15;

## convert() [2/3]

static bool FIX::CheckSumConvertor::convert | ( | const std::string & | value,
|  | int & | result
| ) |  |

inline static

Definition at line 243 of file FieldConvertors.h.

:

## convert() [3/3]

static std::string FIX::CheckSumConvertor::convert | ( | int | value | ) |
throw | ( | FieldConvertError
| ) |  |

inline static

Definition at line 231 of file FieldConvertors.h.

{
return IntConvertor::convert( value );
}
};
struct DoubleConvertor
{

References FIX::IntConvertor::convert().

Referenced by FIX::IntConvertor::convert(), FIX::UtcTimeOnlyField::getValue(), FIX::UtcTimeOnlyField::operator!=(), and FIX::UtcTimeOnlyField::operator<().

The documentation for this struct was generated from the following file:

- FieldConvertors.h

FIX::IntConvertor::convert
static std::string convert(signed_int value)
Definition: FieldConvertors.h:170